PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_clascal | ( | PLASMA_enum | uplo,
|  | int | M,
|  | int | N,
|  | PLASMA_Complex32_t | alpha,
|  | PLASMA_Complex32_t * | A,
|  | int | LDA
| ) |  |

PLASMA_clascal - Scales a matrix by the scalar alpha as in ScaLAPACK pclascal().

\[ A = \alpha A \]

,

alpha is a scalar, and A a general, upper or lower trapezoidal matrix.

Parameters

  [in] | uplo | Specifies the shape of A: = PlasmaUpperLower: A is a general matrix. = PlasmaUpper: A is an upper trapezoidal matrix. = PlasmaLower: A is a lower trapezoidal matrix.
  [in] | M | M specifies the number of rows of the matrix A. M >= 0.
  [in] | N | N specifies the number of columns of the matrix A. N >= 0.
  [in] | alpha | alpha specifies the scalar alpha
  [in,out] | A | A is a LDA-by-N matrix.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_clascal_Tile
  PLASMA_clascal
  PLASMA_dlascal
  PLASMA_slascal